Back to reference
POST/merchant-wallets/{merchantId}/payment-link
Merchant wallets

Create payment link

Creates a payment-link payload for the merchant and amount.

Access tiermerchantRate limit60/minIdempotencynoneAuthenticationBearerAuth
SourceLuxApi/Modules/LuxPayIdentity/Http/Controllers/Api/MerchantWalletApiController.php::paymentLinkLuxPayProjects @ 146e98baa44e

Parameters

X-Request-IDheader
stringOptional

Client correlation identifier. LuxPay may generate one when omitted.

Example: req_01J...
merchantIdpath
integerRequired

Merchant/business identifier.

Example: 10101

Request body

PaymentLinkRequestRequired
amount
number
currency_code
string
description
string | null

JSON example

{
  "amount": 1,
  "currency_code": "string",
  "description": "string"
}

Code examples

The displayed sandbox host is a placeholder until an official host is provisioned. Never paste a production token into a public browser.
curl --request POST \
  --url 'https://sandbox-api.luxpay.example/v1/merchant-wallets/10101/payment-link' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "amount": 1,
  "currency_code": "string",
  "description": "string"
}'

Responses

200Successful response.
status
boolean
Example: true
data
object
{
  "status": true,
  "data": {
    "merchant_id": 1,
    "amount": 1,
    "currency_code": "string",
    "description": "string",
    "payment_link": "string"
  }
}
400
401
403
404
409
422
429
500
OpenAPI JSONOpenAPI YAMLPostman collection